Bug 483926 - fsadm doesn't always resize filesystem on LV
fsadm doesn't always resize filesystem on LV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 04:53 EST by Zdenek Kabelac
Modified: 2009-07-19 06:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.02.48-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2009-02-04 04:53:16 EST
Description of problem:

If the LV already has given size, but filesystem is smaller - i.e. fs 10M, LV 20M - and resize is requested for 20M then resize ends with just warning that device already has size 20M.

Version-Release number of selected component (if applicable):
lvm2-2.02.44-1.fc11.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2009-02-25 07:40:32 EST
support for extra check for filesystem resize when LV already has given size added by commit:
https://www.redhat.com/archives/lvm-devel/2009-February/msg00147.html
Comment 2 Bug Zapper 2009-06-09 07:03:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-07-03 05:29:01 EDT
lvm2-2.02.48-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lvm2-2.02.48-1.fc11
Comment 4 Fedora Update System 2009-07-11 13:15:23 EDT
lvm2-2.02.48-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lvm2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7468
Comment 5 Fedora Update System 2009-07-19 06:31:00 EDT
lvm2-2.02.48-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.